@import url(https://fonts.bunny.net/css?family=marko-one:400);
@import url(https://fonts.bunny.net/css?family=figtree:400);
@import url(https://fonts.bunny.net/css?family=figtree:300);
@import url(https://fonts.bunny.net/css?family=figtree:400i);

body {
    font-family: 'Figtree', sans-serif;
    font-weight: 400;
    display: flex;
    flex-direction: column;
    background-color: light-dark(rgb(236 201 178), rgb(0 55 100));
    color: light-dark(rgb(0 55 100), rgb(160 160 160));
}

header {
    background-color: light-dark(rgb(200 160 200), rgb(240 240 240 / 0.1));
    width: 100%;
    padding: 0 0.5rem;

    h1 {
        font-size: 200%;
        max-width: 40rem;
        margin: 0 auto;
    }
}

main {
    margin: 0.7rem auto;
    max-width: 40rem;
    flex-grow: 2;
    padding: 0 0.5rem;

    p {
        line-height: 1.3rem;
        margin-bottom: 1.3rem;
    }

    ul {
        list-style-type: circle;

        margin-bottom: 1.3rem;
        columns: 2;
        
        li {
            margin-inline-start: 3ch;
        }
    }
}

footer {
    max-width: 40rem;
    margin: 0.5rem auto;
}

h1, h2, h3 {
    font-family: 'Marko One', serif;
    margin-bottom: 1.3rem;
    color: light-dark(rgb(0 0 100), rgb(240 130 0));
}

h1 {
    font-size: 250%;
}

h2 {
    font-size: 175%;
}

h3 {
    font-size: 125%;
}

#experience {
    display: grid;
    grid-template-columns: 1fr;

    & > div {
        display: flex;
        flex-direction: column;
        padding: 1.3rem 0;

        border-bottom: 0.1rem dashed light-dark(rgb(0 55 100 / 0.3), rgb(160 160 160 / 0.3));
        gap: 1rem;

        h3 {
            margin-bottom: 0;
        }

        span {
            font-size: 90%;
            font-weight: 300;
        }

        strong {
            font-weight: bold;
            color: light-dark(rgb(0 0 100), rgb(240 130 0));
        }

        time {
            font-style: italic;
        }

        p {
            margin-bottom: 0;
        }
    }

    div:last-child {
        border: none;
    }

    div:first-child {
        margin-top: 0;
    }
}